The Chipflasher Board
=====================

A Handmade Piece of Artwork
---------------------------

Our first flashers have been created from scratch. Every detail has been
placed thoroughly and finally it turns out that these devices are a
handmade piece of artwork. We still keep producing devices like this in
order to prove the Do-it-Yourself concept, however, switching to a more
efficient production with pcb-layout files is in progress.

![Zerocat Chipflasher, board-edition-1, handmade][!IMG_8527.jpg]@n


### Free-Design Hardware

The Zerocat Chipflasher aims to be free-design as much as possible,
that’s why it relies on the Parallax Propeller microcontroller.
The internal chip design files of this controller have been released
under the GPLv3 in 2011 by Parallax (compare to [Points of Interest][]).
The chipflasher’s board circuit tries to *not* rely on closed source
microchips. Instead, the use of discrete components is preferred.


### Do it Yourself

If you have some experience in soldering and got the equipment, you can
make it yourself. As a starting point, see these snapshots to get the idea:

![Board Circuit][!board.sch.png]@n
![PCB Layout][!board.pcb.png]@n

We recommend to fix a non-critical bug manually: The unused input of the
RS232 driver should be tied to GND.

![Manual Bug Fix: Unused Pin should be tied to GND][!pcb-bug-fix]

More in depth information is available through a couple of source files
and related pages:

  - Source File Previews (PNG-Images)
    - [board.sch.png][]
    - [cables.sch.png][]
    - [board.pcb.png][]
    - [front-label.png][]
  - Source Files
    - [board.sch][] (gEDA/gschem circuit schematic)
    - [cables.sch][] (gEDA/gschem circuit schematic)
    - [board.pcb][] (PCB layout file, created with [PCB][])
    - [front-label.svg][] (Scalable Vector Graphic, created with [Inkscape][].)
    - [front-panel.dxf][] (Parametric 2D Vector Graphic, created with [LibreCAD][].)
  - Bill of Material Tables
    - [Bill of Material (board.sch)][]
    - [Bill of Material (cables.sch)][]
    - [Bill of Material (Case & Clips)][]
  - Additional Pages
    - [Board Layout][] (if handmade, without pcb)
    - [RS232 Cable Pinouts][]

We tried a selfmade PCB, milled with a CNC-machine, some time ago and
learned from that. Please see [The First PCB Prototype][].


### Available from the Shop

The easiest way to obtain the Zerocat Chipflasher is to buy one from
Zerocat, of course. Check the [Zerocat Website][] for shop information,
please. If none is available, [send a request][zerocat-email].

![Zerocat Chipflasher, board-edition-1, with PCB][!IMG_8531.jpg]@n
![Zerocat Chipflasher, board-edition-1, in Stock][!IMG_8495.jpg]@n


[PCB]:                  http://pcb.geda-project.org/index.html
[Inkscape]:             https://inkscape.org/en/
[LibreCAD]:             http://librecad.org/cms/home.html
[zerocat-email]:        mailto:zerocat@posteo.de
[Zerocat Website]:      http://www.zerocat.org/
[Bill of Material (board.sch)]:     generated-files/board.bom.md
[Bill of Material (cables.sch)]:    generated-files/cables.bom.md
[Bill of Material (Case & Clips)]:  case-and-clips.md
[Board Layout]:                     board-layout.md
[RS232 Cable Pinouts]:              RS232-cable-pinouts.md
[Points of Interest]:               points-of-interest.md
[The First PCB Prototype]:          first-pcb-prototype.md


<!-- Embedded Images -->
[!IMG_8527.jpg]:        ./images/IMG_8527.jpg "Zerocat Chipflasher, board-edition-1, handmade"
[!board.sch.png]:       ./generated-images/board.sch.png "Snapshot of board.sch"
[!board.pcb.png]:       ./generated-images/board.pcb.png "Snapshot of board.pcb"
[!IMG_8531.jpg]:        ./images/IMG_8531.jpg "Zerocat Chipflasher, board-edition-1, with PCB"
[!IMG_8495.jpg]:        ./images/IMG_8495.jpg "Zerocat Chipflasher, board-edition-1, in Stock"
[!pcb-bug-fix]:         ./images/IMG_9905.jpg

<!-- Paths are prefixed with ../../../ to make them work for doxygen! -->
[board.sch.png]:        ../../../generated-images/board.sch.png
[cables.sch.png]:       ../../../generated-images/cables.sch.png
[board.pcb.png]:        ../../../generated-images/board.pcb.png
[front-label.png]:      ../../../generated-images/front-label.png
[board.sch]:            ../../../../hardware/gschem/board.sch
[cables.sch]:           ../../../../hardware/gschem/cables.sch
[board.pcb]:            ../../../../hardware/pcb/board.pcb
[front-label.svg]:      ../../../../hardware/artwork/front-label.svg
[front-panel.dxf]:      ../../../../hardware/librecad/front-panel.dxf


-----------------------------------------------------------------------

  @copyright
  Copyright (C) 2017, 2018 Kai Mertens <kmx@posteo.net> @n
  Permission is granted to copy, distribute and/or modify this document
  under the terms of the GNU Free Documentation License, Version 1.3
  or any later version published by the Free Software Foundation;
  with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.
  A copy of the license is included in the section entitled:
  [GNU Free Documentation License](COPYING-DOCUMENTATION.md)
