The First PCB Prototype
=======================

The PCB layout that ships with the tag **pcb-prototype** on branch
_master_ has been milled into copper in order to prove suitability.
However, using that file for production purposes is
not recommended. Several fixes were necessary.

![worked PCB layout][!pcb-prototype.pcb.png]

This is a short photodocumentary of the hardware production process:

![PCB milling has just finished][!IMG_7643.jpeg]

The copper board has been milled during an introductory workshop
in the [FABLAB Berlin][].

![PCB cleaned up][!IMG_7652.jpeg]

Cleaning the PCB is important, otherwise you will have to deal with dust
located in the gap-routes when you want to apply clear varnish later.

![Soldering difficulties on component side][!IMG_7663.jpeg]

Sockets and parts with a big footprint should not to be soldered to top
layer pads, this turns out to be very difficult and tricky. For example,
to solder an variable resistor, you will need to use a vacuum pump while
pressing the part firmly onto the surface. When done, you are lucky if
the pins are still connected. And note that for some reason drilling was
not always centric.

![How to solve soldering difficulties on component side][!IMG_7668.jpeg]

Top layer pads should be large, otherwise you will have to lever sockets
or chips a bit in order to use their thin legs.

![Assemblage complete][!IMG_7670.jpeg]

When the board is fully populated, don't forget jumpers! @n
Apply a clear varnish over all, but cover important contacts.

![The PCB Prototype in action][!IMG_7736.jpeg]

It worked right from the start. What you can see here very well is
the SPI-cable which uses distances for its wires, in order to prevent
signal interferences. The target shown on the photo is a T500 motherboard.


<!-- WWW -->
[FABLAB Berlin]:        https://fablab.berlin/en/

<!-- Embedded Images -->
[!pcb-prototype.pcb.png]:   ./images/pcb-prototype.pcb.png
[!IMG_7643.jpeg]:           ./images/IMG_7643.jpeg
[!IMG_7652.jpeg]:           ./images/IMG_7652.jpeg
[!IMG_7663.jpeg]:           ./images/IMG_7663.jpeg
[!IMG_7668.jpeg]:           ./images/IMG_7668.jpeg
[!IMG_7670.jpeg]:           ./images/IMG_7670.jpeg
[!IMG_7736.jpeg]:           ./images/IMG_7736.jpeg


-----------------------------------------------------------------------

  @copyright
  Copyright (C) 2017, 2018 Kai Mertens <kmx@posteo.net> @n
  Permission is granted to copy, distribute and/or modify this document
  under the terms of the GNU Free Documentation License, Version 1.3
  or any later version published by the Free Software Foundation;
  with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.
  A copy of the license is included in the section entitled:
  [GNU Free Documentation License](COPYING-DOCUMENTATION.md)
