Software Tools
==============

We assume that you are running a GNU/Linux-libre Operating System like
[Trisquel][], for example.

This is a short list of software tools which are required...

 - for the documentation build chain,
 - the software build chain,
 - for operating the chipflasher,
 - as well as for working with source files.


Tool Overview
-------------

### Tools in general

  - [Git][], our version control system of choice.

  - [Doxygen][], essential for generating the HTML Documentation.

  - [GNU Make][]

  - [GNU sed][], stream editor


### Tools for generating the Chipflasher Documentation

  - The gEDA/gaf subset of tools from the [gEDA-project][], a full
    GPL'd suite and toolkit of Electronic Design Automation tools.

    This software is used for electronic circuit development.

  - [PCB][], used for printed circuit board layout development.


### Tools for building the Chipflasher Software

  - [GCC][], the GNU Compiler Collection, used to build `connect`.

  - [Parallax’ Tools for the Propeller Microcontroller][parallax tools]


### Additional Tools

  - your favorite text editor, i.e. gedit, [Geany][] or GNU Emacs

  - The [SRecord Program Collection][], a ROM image manipulation software,
    used to pre- and postprocess chipflasher in- and output files.

  - [GIMP][], GNU Image Manipulation Program

  - [Inkscape][], professional vector graphics editor

  - [LibreCAD][], Open Source 2D-CAD

  - [OpenSCAD][], The Programmers Solid 3D CAD Modeller.
    (Will probably used in future.)


<!-- Files -->
[parallax tools]:               parallax-tools.md

<!-- WWW -->
[Trisquel]:                     https://www.trisquel.info/
[Parallax SimpleIDE 1.0 RC1]:   https://www.parallax.com/downloads/simpleide-propeller-c-software-linux
[PCB]:                          http://pcb.geda-project.org/index.html
[gEDA-project]:                 http://www.geda-project.org/
[Doxygen]:                      http://www.stack.nl/~dimitri/doxygen/index.html
[Git]:                          https://git-scm.com/
[GNU Make]:                     https://www.gnu.org/software/make/
[GNU sed]:                      https://www.gnu.org/software/sed/
[GCC]:                          https://gcc.gnu.org/
[SRecord Program Collection]:   http://srecord.sourceforge.net/
[Geany]:                        https://www.geany.org/
[LibreCAD]:                     http://librecad.org/cms/home.html
[Inkscape]:                     https://inkscape.org/en/
[GIMP]:                         https://www.gimp.org/
[OpenSCAD]:                     http://www.openscad.org/


-----------------------------------------------------------------------

  @copyright
  Copyright (C) 2016, 2017, 2018 Kai Mertens <kmx@posteo.net> @n
  Permission is granted to copy, distribute and/or modify this document
  under the terms of the GNU Free Documentation License, Version 1.3
  or any later version published by the Free Software Foundation;
  with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.
  A copy of the license is included in the section entitled:
  [GNU Free Documentation License](COPYING-DOCUMENTATION.md)
