/******************************************************************//**
 * Zerocat Chipflasher --- Flash free firmware to BIOS chips,
 *                         kick the Manageability Engine.
 *
 * Copyright (C) 2015, 2016, 2017, 2018 Kai Mertens <kmx@posteo.net>
 *
 * The Zerocat Chipflasher is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation, either version 3 of
 * the License, or (at your option) any later version.
 *
 * The Zerocat Chipflasher is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * This file is part of the Zerocat Chipflasher.
 *
 *
 * @file
 *
 * @brief
 * This file is useful for both, `kick` and `connect`.
 *
 */

#ifndef __COMMON_H__
#define __COMMON_H__

/**
 * Version according to `doc/version-history.md`.
 * Should match PROJECT_NUMBER tags in *.orig files in `doc/doxygen-resources/`.
 *
 */
#define VERSION             "v0.4.3"

#define ON                  1
#define OFF                 0
#define MENUWIDTH           95    //!< width of menu headlines (in chars)
#define HEX_DATA            0
#define BIN_DATA            1
#define LOWER_CASE          0
#define UPPER_CASE          1
#define BINMODE             0
#define HEXMODE             1

struct tag_motline {
  int addrlen;
  int linelen;
  int payload_orig;
  int pos_addrlsb;
  int payload;
  int length;
  unsigned char checksum;
  unsigned char chksum_rx;
};

struct tag_hexdumpline {
  char is_comment_line;
  char is_charset_print;
  char is_first;
};

signed char hexdigit2bin (
  unsigned char hexdigit
  );

char bin2hexdigit(
  unsigned char vbin,
  unsigned char mode
  );

signed char MOT_addrlen (
  char SREC_type
  );

int MOT_ispayload(
  char file_format,
  int *linepos,
  char c,
  struct tag_motline *motline,
  int hexmode
  );


#endif
/* __COMMON_H__ */

