/******************************************************************//**
 * Zerocat Chipflasher --- Flash free firmware to BIOS chips,
 *                         kick the Manageability Engine.
 *
 * Copyright (C) 2015, 2016, 2017, 2018 Kai Mertens <kmx@posteo.net>
 * @n Copyright (C) 2016 Tomás Zerolo <tomas@tuxteam.de>
 *
 * The Zerocat Chipflasher is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation, either version 3 of
 * the License, or (at your option) any later version.
 *
 * The Zerocat Chipflasher is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * This file is part of the Zerocat Chipflasher.
 *
 *
 * @file
 *
 */

/******************************************************************//**
 * @brief
 * Convert a hexadecimal digit into a binary value.
 *
 * @param   hexdigit
 * Hex value to convert.
 * @return
 * Returns the decimal binary value, or -1 if hexdigit was not
 * an hexadecimal digit.
 *
 */
signed char hexdigit2bin (
  unsigned char hexdigit
  )
{
  switch(hexdigit) {
    case '0' ... '9':
      return hexdigit - '0';

    case 'a' ... 'f':
    case 'A' ... 'F':
      return (hexdigit & ~0x20) - 'A' + 10;  //convert lower to upper
  }
  return -1;
}



