/******************************************************************//**
 * Zerocat Chipflasher --- Flash free firmware to BIOS chips,
 *                         kick the Manageability Engine.
 *
 * Copyright (C) 2015, 2016, 2017, 2018 Kai Mertens <kmx@posteo.net>
 *
 * The Zerocat Chipflasher is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation, either version 3 of
 * the License, or (at your option) any later version.
 *
 * The Zerocat Chipflasher is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * This file is part of the Zerocat Chipflasher.
 *
 *
 * @file
 *
 */

/*
 * ANSI and VT100 Escape Sequences
 *
 * example: printf("simple" SET_BOLD FG_YELLOW "bold" RESET_ALL "\r\n");
 *
 */


#ifndef __ANSI_COLOR_ESCAPE_SEQUENCES_H__
#define __ANSI_COLOR_ESCAPE_SEQUENCES_H__

//SET
#define SET_BOLD            "\e[1m"
#define SET_DIM             "\e[2m"
#define SET_UNDERLINED      "\e[4m"
#define SET_BLINK           "\e[5m"
#define SET_REVERSE         "\e[7m"
#define SET_HIDDEN          "\e[8m"

//RESET
#define RESET_ALL           "\e[0m"
#define RESET_BOLD          "\e[21m"
#define RESET_DIM           "\e[22m"
#define RESET_UNDERLINED    "\e[24m"
#define RESET_BLINK         "\e[25m"
#define RESET_REVERSE       "\e[27m"
#define RESET_HIDDEN        "\e[28m"

//FOREGROUND
#define FG_DEFAULT          "\e[39m"
#define FG_BLACK            "\e[30m"
#define FG_RED              "\e[31m"
#define FG_GREEN            "\e[32m"
#define FG_YELLOW           "\e[33m"
#define FG_BLUE             "\e[34m"
#define FG_MAGENTA          "\e[35m"
#define FG_CYAN             "\e[36m"
#define FG_LIGHTGRAY        "\e[37m"
#define FG_DARKGRAY         "\e[90m"
#define FG_LIGHTRED         "\e[91m"
#define FG_LIGHTGREEN       "\e[92m"
#define FG_LIGHYELLOW       "\e[93m"
#define FG_LIGHTBLUE        "\e[94m"
#define FG_LIGHTMAGENTA     "\e[95m"
#define FG_LIGHTCYAN        "\e[96m"
#define FG_WHITE            "\e[97m"

//BACKGROUND
#define BG_DEFAULT          "\e[49m"
#define BG_BLACK            "\e[40m"
#define BG_RED              "\e[41m"
#define BG_GREEN            "\e[42m"
#define BG_YELLOW           "\e[43m"
#define BG_BLUE             "\e[44m"
#define BG_MAGENTA          "\e[45m"
#define BG_CYAN             "\e[46m"
#define BG_LIGHTGRAY        "\e[47m"
#define BG_DARKGRAY         "\e[100m"
#define BG_LIGHTRED         "\e[101m"
#define BG_LIGHTGREEN       "\e[102m"
#define BG_LIGHTYELLOW      "\e[103m"
#define BG_LIGHTBLUE        "\e[104m"
#define BG_LIGHTMAGENTA     "\e[105m"
#define BG_LIGHTCYAN        "\e[106m"
#define BG_WHITE            "\e[107m"


#endif
/* __ANSI_COLOR_ESCAPE_SEQUENCES_H__ */
